using System;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using NinjaTrader.Gui.Tools;

internal sealed class Delegate551 : MulticastDelegate
{
	public extern TabItem Invoke(Selector selector_0, NTTabPage nttabPage_0, int int_0);

	public static TabItem smethod_0(Selector selector_0, NTTabPage nttabPage_0, int int_0, Delegate551 delegate551_1)
	{
		return delegate551_1(selector_0, nttabPage_0, int_0);
	}

	public extern Delegate551(object object_0, IntPtr intptr_0);

	static Delegate551()
	{
		Class10.smethod_13(typeof(Delegate551).TypeHandle);
	}

	internal static Delegate551 delegate551_0;
}
